Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035303
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-02-19 13:592017-04-04 16:59
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision678eb7a367b7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035303: Skip grid config related junit tests if any module shipping grid configuration is installed - part2

DescriptionSame case as already reported and partially fixed in issue 34769.

The SortingFilteringGridConfiguration rely on the grid config setting being not modified for:
  private static final String BUSINESS_PARTNER_TAB_ID = "220";
  private static final String BUSINESS_PARTNER_CATEGORY_FIELD_ID = "3955";

If any grid config module is installed which modify those the tests can no longer work.

Same fix as 34769 the tests should check this and skip itself.

Attached patch copies the fix from 34769 to this 2nd junit class.

1 change: it uses @BeforeClass instead of @Before to do the check once for the whole test class and not chekc for all 1820 parametrized combination over and over again.
Note: Maybe that same change could improve the auto-skip in the 34769.
Steps To ReproduceRun this SortingFilteringGridConfiguration junit test with an grid-config module instaleld i.e. the org.openbravo.retail.highvolumesconfig module.
TagsNo tags attached.
Attached Filesdiff file icon 35303.diff [^] (2,423 bytes) 2017-02-19 14:00 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034769 closedalostale Skip grid config related junit tests if any module shipping grid configuration is installed. 
related to defect 0038319 closedshuehner Skip grid config related junit tests if any module shipping grid configuration is installed - part3 

-  Notes
(0094447)
shuehner (administrator)
2017-02-19 14:00

Note: patch may need formatting to be properly applied before committing.
(0094453)
hgbot (developer)
2017-02-20 09:14

Repository: erp/devel/pi
Changeset: 678eb7a367b73a2a8d4d894e18199fa72747edc5
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Mon Feb 20 09:13:34 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/678eb7a367b73a2a8d4d894e18199fa72747edc5 [^]

fixed issue 35303: Skip junit test if any module shipping grid configuration

The SortingFilteringGridConfiguration rely on the grid config setting being not modified for:
  private static final String BUSINESS_PARTNER_TAB_ID = "220";
  private static final String BUSINESS_PARTNER_CATEGORY_FIELD_ID = "3955";

If any grid config module is installed which modify those the tests can no longer work.

---
M src-test/src/org/openbravo/test/views/SortingFilteringGridConfiguration.java
---
(0094454)
alostale (developer)
2017-02-20 09:15

reviewed + tested
(0095194)
hudsonbot (developer)
2017-03-15 20:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-19 13:59 shuehner New Issue
2017-02-19 13:59 shuehner Assigned To => platform
2017-02-19 13:59 shuehner Modules => Core
2017-02-19 13:59 shuehner Triggers an Emergency Pack => No
2017-02-19 13:59 shuehner Relationship added related to 0034769
2017-02-19 14:00 shuehner File Added: 35303.diff
2017-02-19 14:00 shuehner Note Added: 0094447
2017-02-20 09:14 hgbot Checkin
2017-02-20 09:14 hgbot Note Added: 0094453
2017-02-20 09:14 hgbot Status new => resolved
2017-02-20 09:14 hgbot Resolution open => fixed
2017-02-20 09:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/678eb7a367b73a2a8d4d894e18199fa72747edc5 [^]
2017-02-20 09:15 alostale Review Assigned To => alostale
2017-02-20 09:15 alostale Note Added: 0094454
2017-02-20 09:15 alostale Status resolved => closed
2017-02-20 09:15 alostale Fixed in Version => 3.0PR17Q2
2017-03-15 20:19 hudsonbot Checkin
2017-03-15 20:19 hudsonbot Note Added: 0095194
2017-04-04 16:59 alostale Assigned To platform => shuehner
2018-04-10 19:45 shuehner Relationship added related to 0038319


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker